*, *::after, *::before{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-transform: capitalize;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    list-style: none;
    text-decoration: none;
    border: none;
    outline: none;    
}


:root{
    --primary-color-hue: 252;
    --dark-color-lightness: 17%;
    --light-color-lightness: 95%;
    --white-color-lightness: 100%;

    --color-white: hsl(252,30%,var(--white-color-lightness));
    --color-light: hsl(252,30%,var(--light-color-lightness));
    --color-gry: hsl(256, 8%, 64%);
    --color-primary: hsl(var(--primary-color-hue),75%,60%);
    --color-success: hsl(120,95%,65%);
    --color-danger: hsl(0,95%,65%);
    --color-dark: hsl(252,30%,var(--dark-color-lightness));
    --color-black: hsl(252,30%,10%);


    --btn-padding:.6rem 2rem;
    --border-radius:2rem;
    --card-border-radius:1rem;
    --search-padding:.6rem 2rem;
    --card-padding:1rem;

    --color-secondary: hsl(252, 100%, 90%);
    

    --stk-top-left:5.4rem;
    --stk-top-right:-18rem;
}


/* Navbar */
/*=============== GOOGLE FONTS ===============*/

i{
    font-size: 24px;
    
}

body{
    color: var(--color-dark);
    background: var(--color-light); 
    overflow-x: hidden;
}


.container{
    width: 80%;
    margin: 0 auto;
}

.profile-phots{
    width: 2.7rem;
    border-radius: 50%;
    aspect-ratio: 1/1;
    overflow: hidden;
}

img{
    width: 100%;
    display: block;
}

.icon1{
    height: 1.5rem;
    width: 1.5rem;
}

.icon2{
    height: 1.2rem;
    width: 1.2rem;
}

.icon3{
    width: 1.6rem;
    height: 1.6rem;
}

.btn{
    padding: var(--btn-padding);
    display: inline-block;
    font-weight: 500;
    font-size: .9rem;
    border-radius: var(--border-radius);
    cursor: pointer;
    transition: all .3s ease;
}

.btn:hover{
    opacity: .8;
}

.btn-primary{
    background: var(--color-primary);
    color: white;
}

.btn-danger{
    background: var(--color-danger);
    color: white;
}

.text-bold{
    font-weight: bold;
}

.text-gry{
    color: var(--color-gry);
}


/* Navbar Style */
.nav{
    position: fixed;
    width: 100%;
    padding: .7rem 0;
    background: var(--color-white);
    z-index: 10;
}

.nav-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav span{
    color: var(--color-primary);
}

.nav .logo{
    color: var(--color-danger);
}

.search-bar{
    background: var(--color-light);
    border-radius: var(--border-radius);
    padding: var(--search-padding);
    display: flex;
    align-items: center;
    gap: 1rem;
}

.search-bar input[type="search"]{
    width: 30vw;
    margin-left: 1rem;
    font-size: .8rem;
    color: var(--color-dark);
    background: transparent;
}

.search-bar input[type="search"]::placeholder{
    color: var(--color-gry);
}

.create{
    display: flex;
    align-items: center;
    gap: 2rem;
}

.nav-bottom{
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 60px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
    background-color: var(--color-white);
    overflow-x: auto;
    display: flex;
    z-index: 100;

}


.nav-link{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    min-width: 50px;
    overflow: hidden;
    white-space: nonwrap;
    font-size: 14px;
    /* color: aqua; */
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    transition: background-color 0.1s ease-in-out;
}


.nav-link i{
    color: var(--color-dark);
}
/* Navbar End */

/* Main */
main{
    position: relative;
    top:5.4rem;
}

.main-container{
    position: relative;
    display: grid;
    grid-template-columns: 18vw auto 20vw;
    gap: 2rem;
}

/* Main left */



/* Notification */
.notification{
    position: absolute;
    background: var(--color-white);
    width: 30rem;
    border-radius: var(--card-border-radius);
    top: 40%;
    left: 110%;
    padding: var(--card-padding);
    box-shadow: 0 0 2rem hsl(var(--color-primary)75% 60% 25%);
    display: none;
    z-index: 8;
}

.notification::before{
    content: '';
    height: 1.2rem;
    width: 1.2rem;
    background: var(--color-white);
    display: block;
    position: absolute;
    transform: rotate(45deg);
    left: -.6rem;
}

.notification .NP{
    display: flex;
    gap: 1rem;
    /* margin: 1rem; */
    margin-bottom: 10px;
}

.notification .NP small{
    display: block;
}
/* Notif End */

/* Eend Mid */


/* Form */

/* End Form */

/* Feed */

/* End Feed */


/* Main right */
/* messaage */
.main-right{
    height: max-content;
    position: sticky;
    top: var(--stk-top-right);
    bottom: 0;
}

.main-right .messages{
    background: var(--color-white);
    border-radius: var(--card-border-radius);
    padding: var(--card-padding);
}

.main-right .message-heading{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 1rem;
}

.main-right .messages .search-bar{
    margin-bottom: 1rem;
    display: flex;
    overflow: hidden;
}

.main-right .messages .category{
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
    margin-bottom: 1rem;
}

.messages .category h6{
    font-size: .8rem;
    text-align: center;
    border-bottom: 4px solid var(--color-light);
    padding: .5rem;
    width: 100%;
}

.messages .category .active{
    border-color: var(--color-dark);
}

.main-right .message{
    display: flex;
    margin-bottom: 1rem;
    gap: 1rem;
    align-items: center;
}

.main-right .message:last-child{
    margin: 0;
}

.main-right .message p{
    font-size: .8rem;
}

.ac{
    width: .9rem;
    height: .9rem;
    background: var(--color-success);
    position: absolute;
    border-radius: 50%;
    border: var(--color-white) 2px solid;
    bottom: 0;
    right: 0;
}

.message .profile-phots{
    position: relative;
    overflow: visible;
}

.message .profile-phots img{
    border-radius: 50%;
    height: 100%;
    width: 100%;
    border: 2px solid var(--color-primary);
}

.pr-requst{
    color: var(--color-primary);
}


/* Friend Request */

/* End Main right */

/* End Main */



/* Theme */
.theme{
    background: rgba(0, 0, 0, 0.508);
    height: 100vh;
    width: 100%;
    position: fixed;
    text-align: center;
    display: grid;
    place-items: center;
    z-index: 100;
    font-size: .9rem;
    top: 0;
    left: 0;
    transform: translate(0,0);
    display: none;
}

.card{
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    width: 50%;
}

.font-siz{
    margin-top: 3rem;
}

.font-siz > div{
    display: flex;
    justify-content: space-between;
    background: var(--color-light);
    border-radius: var(--card-border-radius);
    padding: var(--search-padding);
    align-items: center;
}

.choose-font-size{
    width: 100%;
    height: .2rem;
    background: var(--color-secondary);
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: auto .5rem;
}

.choose-font-size span{
    height: 1rem;
    width: 1rem;
    background: var(--color-secondary);
    border-radius: 50%;
}

.choose-font-size .active{
    background: var(--color-primary);
}

.choose-font-size  .font1{
    height: .9rem;
    width: .9rem;
}

.choose-font-size  .font2{
    height: 1rem;
    width: 1rem;
}

.choose-font-size  .font3{
    height: 1.1rem;
    width: 1.1rem;
}

.choose-font-size  .font4{
    height: 1.3rem;
    width: 1.3rem;
}

.choose-font-size  .font5{
    height: 1.5rem;
    width: 1.5rem;
}

/* color */
.color{
    margin-top: 2rem;
}

.choose-color{
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: var(--search-padding);
    border-radius: var(--card-border-radius);
    background:var(--color-light) ;
    margin: 1rem auto;
}

.choose-color span{
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 50%;
}

.choose-color span:nth-child(1){
    background:  hsl(0,95%,65%);
}
.choose-color span:nth-child(2){
    background:  #4EE59E;
}
.choose-color span:nth-child(3){
    background:  hsl(252, 75%, 60%);
}
.choose-color span:nth-child(4){
    background:  #E54DE6;
}
.choose-color span:nth-child(5){
    background: #4EB4FC;
}

.choose-color .active{
    border: 5px solid var(--color-gry);
}


/* Background */
.background{
    margin-top: 1.5rem;
}

.chosse-background{
    display: flex;
    justify-content: space-between;
    width: 60%;
    margin: 1rem auto;
    padding: var(--search-padding);
    border-radius: var(--card-border-radius);
    align-items: center;
}

.chosse-background>div span{
    height: 1.5rem;
    width: 1.5rem;
    border-radius: 50%;
    border: 2px solid var(--color-gry);

}

.chosse-background>div{
    height: 4rem;
    width: 6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 15px;
    color: var(--color-white);
    gap: .5rem;
}

.chosse-background .active{
    border: 3px solid var(--color-primary);
}

.chosse-background>div:nth-child(1){
    background: hsl(252,30%,95%);
    color: var(--color-black);
}

.chosse-background>div:nth-child(2){
    background: hsl(252,30%,17%);
} 

.chosse-background>div:nth-child(3){
    background: hsl(0,0%,0%);
}
/* End Theme */



/* Responsive */
/* Laptop */
@media (max-width:1200px){
    .container{
        width: 96%;
    }
    .main-container{
        grid-template-columns: 5rem auto 30vw;
        gap: 2rem;
    }
    .main-left .profile{
       display: none;
    }
    .main-left .menu-item h3{
        display: none;
    }
    .side-bar label{
        display: none;
    }
    .card{
                width: 80%;
     }
}


@media (max-width:496px){
    .main-mid{
        min-width: 265px;
        margin-left: 8px;
        margin-bottom: 60px;
    }
    .menu-item{
        /* position: relative; */
        display: flex;
        flex-direction: row;
        align-items: center;
        cursor: pointer;
        transition: .3s all ease;
        height: 4rem;
    }

}
@media (min-width:992px){
    .nav-bottom{
        display: none;
    }
}

/* Tablet */
@media (max-width:992px){
    .container{
        gap: 0;
    }
    nav .search-bar{
        display: none;
    }
    .main-container{
        grid-template-columns: 0 auto 0;
        gap: 1rem;
        height: 100vh;
        /* margin-bottom: 20px; */
    }

    .menu-item{
        display: none;
    }
    .notification .NP{

        margin-bottom: 10px;
        height: 50px;
        margin-bottom: 20px;
    }
    .notification{
        position: absolute;
        left: 0;
        top: -1rem;
        height: 100vh;
        width: 400px;
    }
    .notification::before{
        display: none;
    }
    .card{
        width: 100%;
        position: absolute;
    }
    .chosse-background{
        width: 90%;
    }
    .chosse-background>div{
        height: 4rem;
        width: 7rem;
        gap: 1px;
        margin-right: 5px;
    }
    .story{
        min-width: 27%;
    }
}
   

@media (max-width:573px){
    .storys{
        gap: .4rem;
    }
}

.box-sh{
    box-shadow: 0 0 1rem var(--color-primary);
}

@keyframes slider{
    0%{transform: translateX(0%);}
    10%{transform: translateX(-101%);}
    20%{transform: translateX(-101%);}
    30%{transform: translateX(-202%);}
    40%{transform: translateX(-202%);}
    50%{transform: translateX(-202%);}
    60%{transform: translateX(-303%);}
    70%{transform: translateX(-303%);}
    80%{transform: translateX(-303%);}
    90%{transform: translateX(0%);}
    100%{transform: translateX(0%);}
}

 
/* font */
.choose-font-size ,span{
    cursor: pointer;
}

.choose-color span{
    cursor: pointer;
}


